%define pypi_name neurolab
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Name:		python-neurolab
Version:	0.3.5
Release:	%mkrel 14
Group:		Development/Python
Summary:	Simple and powerful neural network library for python
License:	LGPLv3
URL:		https://pypi.org/project/neurolab/
Source0:	https://pypi.io/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch

%description
%{pypi_name} is a simple and powerful Neural Network Library for Python.
Contains based neural networks, train algorithms and flexible framework
to create and explore other neural network types.

%package -n python3-neurolab
Summary:	Simple and powerful neural network library for python
Group:		Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-neurolab
%{pypi_name} is a simple and powerful Neural Network Library for Python.
Contains based neural networks, train algorithms and flexible framework
to create and explore other neural network types.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files neurolab

%files -n python3-neurolab -f %{pyproject_files}



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.3.5-14.mga10
+ Revision: 2238675
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.3.5-13.mga10
+ Revision: 2155358
- rebuild for python3.13

* Wed Dec 13 2023 papoteur <papoteur> 0.3.5-12.mga10
+ Revision: 2017731
- rebuild for python 3.12

* Mon Mar 28 2022 umeabot <umeabot> 0.3.5-11.mga9
+ Revision: 1829580
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.3.5-10.mga9
+ Revision: 1783633
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.3.5-9.mga9
+ Revision: 1732683
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.5-8.mga8
+ Revision: 1534241
- Mageia 8 Mass Rebuild

* Mon Sep 30 2019 daviddavid <daviddavid> 0.3.5-7.mga8
+ Revision: 1448162
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.3.5-6.mga7
+ Revision: 1353491
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.5-5.mga7
+ Revision: 1289482
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.3.5-4.mga7
+ Revision: 1135518
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.3.5-3.mga6
+ Revision: 970979
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.3.5-2.mga6
+ Revision: 888873
- make it noarch thus fixing empty debuginfo
- rebuild for python 3.5

* Fri Feb 06 2015 filipesaraiva <filipesaraiva> 0.3.5-1.mga5
+ Revision: 813726
- Update to 0.3.5 version

* Wed Oct 15 2014 umeabot <umeabot> 0.3.4-5.mga5
+ Revision: 745892
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.4-4.mga5
+ Revision: 729149
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.4-3.mga5
+ Revision: 688176
- Mageia 5 Mass Rebuild

* Tue Jun 17 2014 filipesaraiva <filipesaraiva> 0.3.4-2.mga5
+ Revision: 637861
- mkrel increment;
- Removed unnecessary find commands;

* Tue Jun 17 2014 filipesaraiva <filipesaraiva> 0.3.4-1.mga5
+ Revision: 637710
- imported package python-neurolab

